Bug 698602 - Rhythmbox crashes when an MTP device is attached
Rhythmbox crashes when an MTP device is attached
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
15
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-21 07:16 EDT by Juan Francisco Fernández
Modified: 2011-11-03 18:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: Fedora 16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-03 18:04:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Francisco Fernández 2011-04-21 07:16:21 EDT
Description of problem:
Rhythmbox crashes when an MTP device is attached.

Version-Release number of selected component (if applicable):
rhythmbox-2.90.1-7.git20110329.fc15.i686
libmtp-1.0.6-2.fc15.i686

How reproducible: 
Always

Steps to Reproduce:
1. Open rhythmbox
2. Attach an MTP device (mine is Creative Zen V Plus)
3.
  
Actual results:
Rhythmbox is minimized to try and it can't be reopened.


Expected results:
Rhythmbox shows the device and its content.


Additional info:
If I open rhythmbox from a terminal, I get these messages when plug in my MTP device:

ignoring usb_claim_interface = -16ignoring usb_claim_interface = -22PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
inep: usb_get_endpoint_status(): Error de entrada/salida
outep: usb_get_endpoint_status(): Error de entrada/salida
usb_clear_halt() on IN endpoint: Resultado numérico fuera de rango
usb_clear_halt() on OUT endpoint: Resultado numérico fuera de rango
usb_clear_halt() on INTERRUPT endpoint: Resultado numérico fuera de rango
LIBMTP libusb: Attempt to reset device
Violación de segmento (`core' generado)

Translations:

Error de entrada/salida = I/O error
Resultado numérico fuera de rango = Numeric result out of range
Violación de segmento = Segment fault
Comment 1 Juan Francisco Fernández 2011-04-21 07:25:14 EDT
I have tried with mtp-detect with this result:

[juanffernandez@Reach ~]$ mtp-detect 
libmtp version: 1.0.6

Listing raw device(s)
Device 0 (VID=041e and PID=4152) is a Creative ZEN V Plus.
   Found 1 device(s):
   Creative: ZEN V Plus (041e:4152) @ bus 2, dev 7
Attempting to connect device(s)
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
Violación de segmento (`core' generado)
Comment 2 Iain Hamilton 2011-05-26 10:19:02 EDT
I can confirm the same issue occurs with my Samsung T10 media player when running Rhythmbox after plugging in the device, however if I plug the device in while rhythmbox is already running and open on the desktop it does not crash and reads the device. I assume this is an issue with the OS failing to release the device to the mtp drivers over dbus. Same issue occurs with Ubuntu Natty.
Comment 3 Juan Francisco Fernández 2011-11-03 18:03:59 EDT
Fixed on F16.

Note You need to log in before you can comment on or make changes to this bug.